Create user KYC document
Header Parameters
The matchmove issued user_id for which the request is being made
The IP using which the actor is making the request
The unique id of the device using which the actor is making the request
The user agent of the device using which the actor is making the request
The actor on behalf of whom the API request is being performed
Path Parameters
Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.
Body Parameters
base64 encoded format of the file contents. Accepted doc types [JPG,PNG,PDF]. Max size of file supported is 8MB.
Response
OK
Response Attributes
Unique identifier for the verification process
Status of the Identity authentication process
not_submittedpendingsubmittedunder_reviewapprovedrejectedRepresents the description of the specific sub_status_code
Fetched from enum list GET v2/users/enumerations/document_substatuses
Array that represents a list of documents submitted during the most recent KYC verification process. If the status is not_submitted, no document list will be provided.
Show child attributes
Count of documents submitted
Additional metadata for the KYC authentication process
Bad Request
The response code field indicates which specific rule was violated.
Possible error codes:
invalid_payload— Malformed form/JSON request bodyinvalid_model— Missing required fields in the requestresource_user_authentication_document_data_missing— Required base64datais missingresource_user_unrecognized_file_type— Invalidfile_type, value not in the allowed enumresource_user_unrecognized_document_type— Invaliddocument_type, value not in the allowed enumresource_user_authentication_document_verification_id_invalid—verification_iddoes not match the existing verification recorduser_parameter_validation_failed— Required user CDD attributes are missingresource_user_inactive— The user is currently inactive/blocked
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Unauthorized
The response code field indicates the authentication failure.
Possible error codes:
access_denied— Access is denied for this resource
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Forbidden
The response code field indicates which specific rule was violated.
Possible error codes:
unauthorized_action— The consumer scope is not allowed to access this resourcerestricted_resource— This V1 route is blocked for the current program_coderesource_user_authentication_document_unknown_data_type— Uploaded file has an unknown/unsupported data type or extensionresource_user_authentication_document_maxsize_exceeded— Uploaded file exceeds the maximum allowed sizeresource_user_authentication_document_max_count_exceeded— Maximum number of uploaded documents for this verification exceeded
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Not Found
The response code field indicates which specific rule was violated.
Possible error codes:
route_not_defined— The route has no auth definitionuser_record_not_found— No user exists for the supplied userid
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Internal Server Error
The response code field indicates which specific rule was violated.
Possible error codes:
request_fatal_internal— Fatal service error
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Not Implemented
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Bad Gateway
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
External Service Error
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API
Gateway Timeout
Response Attributes
Unique request ID for the API request
HTTP response code for the API request
MatchMove generated error code for the API request
MatchMove generated title for the error code
Details for the error code
Details for the error code
Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons
Show child attributes
Timestamp for the processed API